# -*- coding: utf-8 -*-
# Generated by Django 1.11.6 on 2019-11-19 00:58
from __future__ import unicode_literals
from django.db import migrations

class Migration(migrations.Migration):
	dependencies = [
		('customers', '0004_auto_20191118_2032'),
	]

	sql = """
	CREATE VIEW vista AS SELECT customers_invoice.due_date AS ts, CASE WHEN customers_invoice.kind <> 3 THEN customers_invoice.total ELSE NULL::integer END AS charge, CASE WHEN customers_invoice.kind = 3 THEN customers_invoice.total ELSE NULL::integer END AS credit, customers_invoice.comment, customers_invoice.customer_id FROM customers_invoice UNION SELECT customers_payment.paid_on AS ts, NULL::integer AS charge, customers_payment.amount AS credit, customers_payment.comment, customers_payment.customer_id FROM customers_payment ORDER BY 1 DESC LIMIT 10
	"""

	operations = [
		migrations.RunSQL("DROP VIEW IF EXISTS vista"),
		migrations.RunSQL(sql)
	]



